#ifndef PLUGINS_PROPERTIES_H
#define PLUGINS_PROPERTIES_H

#include <QWidget>
#include "core.h"
#include "ui_plugins_properties.h"


class PluginsProperties: public QWidget, public Ui::PluginsProperties {
	Q_OBJECT
public:
	explicit PluginsProperties(QWidget * parent = 0);
	~PluginsProperties();
	
private:
	SHPluginBase * currentPlugin();
	void showCurrent();

	PropertyStorage ps;
	QSet<uint> no_actions, visible;

public slots:
	
private slots:
	void on_properties_changed();
	//void on_properties_resetStorageRequest(PropertyStorage * s);
	void on_actions__executeAction(SHPluginBase::PluginAction action);
	void on_actions__checkRequest(SHPluginBase::PluginAction action, bool * ret);
	void changedPlugins();
	void changedPluginsProperties();
	void on_comboPlugin_currentIndexChanged(int index);

signals:

};

#endif // PLUGINS_PROPERTIES_H
